Bug 187475 - Beagle takes ages to build index.
Beagle takes ages to build index.
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Depends On:
  Show dependency treegraph
Reported: 2006-03-31 04:00 EST by Thomas Groß
Modified: 2008-05-06 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Groß 2006-03-31 04:00:35 EST
Description of problem:
Beagle is indexing my home directory for three days now and still has not
build a complete index.
If i'm working at the system beagle gets out of the way and uses nearly no CPU
time wich is fine with me. If the system is inactive beagle starts to use 100% CPU.
If i call beagle-status i seen beagle crawling files, still the reported Number
of indexed file shown by beagle-index-status stays the same.

beagle-query still does not find files a simple grep -r turns up. I only
searched for complete words. It looks as if whole subtrees of the directory
structure are still unindex.

Version-Release number of selected component (if applicable):

How reproducible:
Alway. I have stopped beagled, removed the index files (complete .beagle
directory) and restarted.

Steps to Reproduce:
1. Start beagled
2. wait for a long time :)
Actual results:
Incomplete index. Still not all files found with beagle-query.

Expected results:
Complete index.

Additional info:
I updated FC4 to FC5 and installed the beagle RPMs.
beagled ist started from gnome-session, since the checkbox in seach preferences
seem non functional (as described in another bug).

My home directory is ~3BG of data containing 24567 directories and 143064 data

The whole thing is running on an Dell Inspiron 8500 Laptop with a 2GH Pentium 4
Mobile und 1GB of RAM.

Curently .beagle is a whopping 578 MB, 158 MB Indexes und 420 MB TextCache.
Comment 1 James Cornell 2006-04-25 15:08:17 EDT
Similar but less severe problem on initial install of FC5 from CD/DVD media method.  1.8GHz Mobile P4, 
768MB DDR, 5200 RPM Disk.  Also builds quite slow on a 2.4GHz Celeron with 512MB PC-3200 and a 
7200 RPM Disk.  Inefficient indexing method, slower then running a bunch of finds on / at once.  Needs 
some optimization, especially regarding CPU usage while building indexes.
Comment 2 Alexander Larsson 2006-08-14 07:25:12 EDT
Is this still happening with the 0.26 updates in FC5?
Comment 3 Thomas Groß 2006-08-15 08:06:25 EDT
I tried it again with beagle 0.2.6-1.fc5.

Beagle is running for 24 hours now. Indexing is still not finished.

.beagle is currently 574MB.
Beagle does not eat all my CPU when the system is inactive as before, but
indexing doesn't look faster to me.

I started beagle from the commandline this time and noticed the following:
    ** Message: Unknown errno: Too many levels of symbolic links

    inotify_add_watch: No space left on device
     Maximum watch limit hit. Try adjusting /proc/sys/fs/inotify/max_user_watches.

The inotify thing goes away if i raise the per user limit to 32000 and restart
beagled, perhaps this default should be higher.

Here is the current output from beagle-status, Scheduler count is a bit low
because i restarted beagle due to the inotify roblem:

Count: 14247
Status: Waiting for next task.

Pending Tasks:
1 Delayed 0 (8/15/2006 2:09:34 PM)
Tree Crawler
Pending directories: 1721

2 Delayed 0 (8/15/2006 2:09:36 PM)
Crawling /home/<path to file erased>

3 Maintenance 100 (8/15/2006 2:09:34 PM)
Final Flush for FileSystemIndex

Future Tasks:
Maintenance 0 (8/15/2006 2:09:36 PM)
Optimize FileSystemIndex
Hold until 8/15/2006 2:19:36 PM
Comment 4 Thomas Groß 2006-08-16 03:05:17 EDT
After an additional 24 hour beagle has finished building the index.

.beagle is now 624MB
Comment 5 Alexander Larsson 2006-08-22 06:02:01 EDT
Beagle 0.2.8-2 has a fix that is supposed to speed up indexing. Its only in
rawhide unfortunately.
Comment 6 Bug Zapper 2008-04-03 22:24:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:43:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.